Bug 853787 - RFE:add yenta_socket.ko driver to LIVE:/isolinux/initrd0.img
RFE:add yenta_socket.ko driver to LIVE:/isolinux/initrd0.img
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 16:27 EDT by John Reiser
Modified: 2012-10-19 06:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 16:29:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add yenta_socket to =pcmcia in live.py (483 bytes, patch)
2012-10-18 16:12 EDT, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2012-09-02 16:27:14 EDT
Description of problem: Request For Enhancement (RFE): Please add the yenta_socket.ko driver into the isolinux/initrd0.img initial RAM disk for systems that are distributed on Live media.  This would facilitate using an external optical drive connected via PCMCIA (cardbus) to bootstrap and run a Live system.  The yenta_socket.ko driver is needed in the initrd0.img so that a copy of initrd0.img (on harddrive accessed by GRUB, using custom boot stanza) can see the LiveOS/squashfs.img on the platter in the optical drive connected via PCMCIA.


Version-Release number of selected component (if applicable):
Fedora-18-Alpha-TC5-x86_64-Live-Desktop.iso

How reproducible: always


Steps to Reproduce:
1. mount -o ro,loop Fedora-18-Alpha-TC5-x86_64-Live-Desktop.iso /mnt
2. gzip -d </mnt/isolinux/initrd0.img  |  cpio --list  |  grep yenta
3.
  
Actual results:  The output from the shell pipeline is empty: there is no yenta_socket.ko driver in syslinux/initrd0.img.


Expected results:
usr/lib/modules/3.6.0-0.rc2.git2.1.fc18.i686/kernel/drivers/pcmcia/yenta_socket.ko
(or some analogous path ending in yenta_socket.ko .)

Additional info:
Comment 1 Bill Nottingham 2012-09-04 12:22:55 EDT
dracut makes the live initramfs, moving there.
Comment 2 Harald Hoyer 2012-09-06 05:53:09 EDT
upstream commit ea627292383a893062f64c1c949a102d56fac4e5
Comment 3 Fedora Update System 2012-10-16 11:17:15 EDT
dracut-024-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dracut-024-1.fc18
Comment 4 Fedora Update System 2012-10-16 13:43:07 EDT
Package dracut-024-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-024-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16223/dracut-024-1.fc18
then log in and leave karma (feedback).
Comment 5 John Reiser 2012-10-18 00:26:25 EDT
dracut-0.24-1.fc18 is not enough.  When using dracut-0.24-1.fc18.i686  as input to livecd-creator, then yenta_socket.ko is available below /lib/modules/$KVER of the running system, but is not available in /syslinux/initrd0.img.  (In particular:
   gzip -d  < initrd0.img  |  cpio --list  |  grep yenta
does not show any 'yenta' modules in initrd0.img.)  Thus I cannot put my LIVE root on a device that is accessed via PCMCIA.  Does livecd-creator need to do something for me, in addition to what dracut does?
Comment 6 Harald Hoyer 2012-10-18 04:06:27 EDT
(In reply to comment #5)
> dracut-0.24-1.fc18 is not enough.  When using dracut-0.24-1.fc18.i686  as
> input to livecd-creator, then yenta_socket.ko is available below
> /lib/modules/$KVER of the running system, but is not available in
> /syslinux/initrd0.img.  (In particular:
>    gzip -d  < initrd0.img  |  cpio --list  |  grep yenta
> does not show any 'yenta' modules in initrd0.img.)  Thus I cannot put my
> LIVE root on a device that is accessed via PCMCIA.  Does livecd-creator need
> to do something for me, in addition to what dracut does?

Reassigning to livecd-tools. livecd-tools tries to be smarter regarding the kernel modules than dracut.

/usr/lib/python2.7/site-packages/imgcreate/live.py specifies its own set of kernel modules via "drivers+=''" which forces dracut to use only those kernel drivers instead of the default ones.
Comment 7 John Reiser 2012-10-18 16:12:30 EDT
Created attachment 629620 [details]
add yenta_socket to =pcmcia in live.py

Perhaps =pcmcia should add i82092 and pd6729 also?  Those are the other drivers besides yenta_socket in kernel/drivers/pcmcia .
Comment 8 Brian Lane 2012-10-18 16:29:29 EDT
I'm not going to go down the path of adding every module under the sun. If you want to build media with extra modules use the kickstart device command to add them in your kickstart.

https://fedoraproject.org/wiki/Anaconda/Kickstart#device
Comment 9 Fedora Update System 2012-10-19 06:08:50 EDT
dracut-024-5.git20121019.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dracut-024-5.git20121019.fc18

Note You need to log in before you can comment on or make changes to this bug.